# Uses of Class
javafx.scene.control.TableCell

Packages that use TableCell
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.cell
The `javafx.scene.control.cell` package is where all cell-related classes are located, other than the core classes such as `Cell`, `IndexedCell`, `ListCell`, `TreeCell`, and `TableCell`.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TableCell in javafx.scene.control

Fields in javafx.scene.control with type parameters of type TableCell
Modifier and Type
Field
Description
`static final Callback<TableColumn<?,?>,TableCell<?,?>>`
TableColumn.`DEFAULT_CELL_FACTORY`
If no cellFactory is specified on a TableColumn instance, then this one will be used by default.
Methods in javafx.scene.control that return types with arguments of type TableCell
Modifier and Type
Method
Description
`final ObjectProperty<Callback<TableColumn<S,T>,TableCell<S,T>>>`
TableColumn.`cellFactoryProperty()`
The cell factory for all cells in this column.
`final Callback<TableColumn<S,T>,TableCell<S,T>>`
TableColumn.`getCellFactory()`
Gets the value of the `cellFactory` property.
Method parameters in javafx.scene.control with type arguments of type TableCell
Modifier and Type
Method
Description
`final void`
TableColumn.`setCellFactory(Callback<TableColumn<S,T>,TableCell<S,T>> value)`
Sets the value of the `cellFactory` property.

## Uses of TableCell in javafx.scene.control.cell

Subclasses of TableCell in javafx.scene.control.cell
Modifier and Type
Class
Description
`class`
`CheckBoxTableCell<S,T>`
A class containing a `TableCell` implementation that draws a `CheckBox` node inside the cell, optionally with a label to indicate what the checkbox represents.
`class`
`ChoiceBoxTableCell<S,T>`
A class containing a `TableCell` implementation that draws a `ChoiceBox` node inside the cell.
`class`
`ComboBoxTableCell<S,T>`
A class containing a `TableCell` implementation that draws a `ComboBox` node inside the cell.
`class`
`ProgressBarTableCell<S>`
A class containing a `TableCell` implementation that draws a `ProgressBar` node inside the cell.
`class`
`TextFieldTableCell<S,T>`
A class containing a `TableCell` implementation that draws a `TextField` node inside the cell.
Methods in javafx.scene.control.cell that return types with arguments of type TableCell
Modifier and Type
Method
Description
`static <S> Callback<TableColumn<S,Boolean>,TableCell<S,Boolean>>`
CheckBoxTableCell.`forTableColumn(TableColumn<S,Boolean> column)`
Creates a cell factory for use in a `TableColumn` cell factory.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
CheckBoxTableCell.`forTableColumn(Callback<Integer,ObservableValue<Boolean>> getSelectedProperty)`
Creates a cell factory for use in a `TableColumn` cell factory.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
CheckBoxTableCell.`forTableColumn(Callback<Integer,ObservableValue<Boolean>> getSelectedProperty, boolean showLabel)`
Creates a cell factory for use in a `TableColumn` cell factory.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
CheckBoxTableCell.`forTableColumn(Callback<Integer,ObservableValue<Boolean>> getSelectedProperty, StringConverter<T> converter)`
Creates a cell factory for use in a `TableColumn` cell factory.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
ChoiceBoxTableCell.`forTableColumn(ObservableList<T> items)`
Creates a ChoiceBox cell factory for use in `TableColumn` controls.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
ChoiceBoxTableCell.`forTableColumn(StringConverter<T> converter, ObservableList<T> items)`
Creates a ChoiceBox cell factory for use in `TableColumn` controls.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
ChoiceBoxTableCell.`forTableColumn(StringConverter<T> converter, T... items)`
Creates a ChoiceBox cell factory for use in `TableColumn` controls.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
ChoiceBoxTableCell.`forTableColumn(T... items)`
Creates a ChoiceBox cell factory for use in `TableColumn` controls.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
ComboBoxTableCell.`forTableColumn(ObservableList<T> items)`
Creates a ComboBox cell factory for use in `TableColumn` controls.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
ComboBoxTableCell.`forTableColumn(StringConverter<T> converter, ObservableList<T> items)`
Creates a ComboBox cell factory for use in `TableColumn` controls.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
ComboBoxTableCell.`forTableColumn(StringConverter<T> converter, T... items)`
Creates a ComboBox cell factory for use in `TableColumn` controls.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
ComboBoxTableCell.`forTableColumn(T... items)`
Creates a ComboBox cell factory for use in `TableColumn` controls.
`static <S> Callback<TableColumn<S,Double>,TableCell<S,Double>>`
ProgressBarTableCell.`forTableColumn()`
Provides a `ProgressBar` that allows easy visualisation of a Number value as it proceeds from 0.0 to 1.0.
`static <S> Callback<TableColumn<S,String>,TableCell<S,String>>`
TextFieldTableCell.`forTableColumn()`
Provides a `TextField` that allows editing of the cell content when the cell is double-clicked, or when `TableView.edit(int, javafx.scene.control.TableColumn)` is called.
`static <S, T> Callback<TableColumn<S,T>,TableCell<S,T>>`
TextFieldTableCell.`forTableColumn(StringConverter<T> converter)`
Provides a `TextField` that allows editing of the cell content when the cell is double-clicked, or when `TableView.edit(int, javafx.scene.control.TableColumn)` is called.

## Uses of TableCell in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return TableCell
Modifier and Type
Method
Description
`protected TableCell<T,?>`
TableRowSkin.`createCell(TableColumnBase tcb)`
Creates a new cell instance that is suitable for representing the given table column instance.
Methods in javafx.scene.control.skin with parameters of type TableCell
Modifier and Type
Method
Description
`protected TableColumn<T,?>`
TableRowSkin.`getTableColumn(TableCell<T,?> cell)`
Returns the `TableColumnBase` instance for the given cell instance.
`protected void`
TableRowSkin.`updateCell(TableCell<T,?> cell, TableRow<T> row)`
A method to allow the given cell to be told that it is a member of the given row.
Constructors in javafx.scene.control.skin with parameters of type TableCell
Modifier
Constructor
Description
``
`TableCellSkin(TableCell<S,T> control)`
Creates a new TableCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.